## gst-omx1.0 1.0.0.1

=== debian/changelog ===
gst-omx1.0 (1.0.0.1-0+rpi12+jessiepmg) jessie-staging; urgency=medium

  * Rebuild against jessie's gstreamer packages.
  * Target "rpi" repository component.

 -- Peter Michael Green <plugwash@raspbian.org>  Sat, 18 Apr 2015 00:21:51 +0000

gst-omx1.0 (1.0.0.1-0+rpi12) wheezy; urgency=medium

  * 01-dont-crash-on-debug.patch
    + Drop, fixed in GLib 2.40.0-3rpi2.
  * 0001-omxvideodec-Properly-unlock-drain-mutex-when-failing.patch
    0002-omxvideodec-fix-deadlock-when-flush-on-EOS.patch
    0003-omxvideodec-Wake-up-_drain-when-leaving-_loop-on-flu.patch
    0004-omxvideodec-add-missing-stream-unlock-in-error-path.patch
    + Fix deadlocks.

 -- Emanuele Aina <emanuele.aina@collabora.com>  Mon, 04 Aug 2014 08:10:44 +0200

gst-omx1.0 (1.0.0.1-0+rpi11) wheezy; urgency=medium

  * 01-dont-crash-on-debug.patch
    + Temporary patch to avoid a crash when logging is enabled.

 -- Marco Barisione <marco.barisione@collabora.co.uk>  Tue, 22 Jul 2014 14:56:25 +0100

gst-omx1.0 (1.0.0.1-0+rpi10) wheezy; urgency=medium

  * 0001-omxvideodec-add-scaling-support.patch
    0002-omxbufferpool-return-buffers-to-the-pool-instead-of-.patch
    + Fix scaling support for all cases (by Julien).

 -- Marco Barisione <marco.barisione@collabora.co.uk>  Fri, 25 Apr 2014 10:59:37 +0100

gst-omx1.0 (1.0.0.1-0+rpi9) wheezy; urgency=medium

  * 0001-omxvideodec-can-reconfigure-when-using-resize-compon.patch
    0002-omxvideodec-move-up-gst_omx_video_dec_negotiate-decl.patch
    0003-omxbufferpool-fix-memory-leak-if-used-on-output-port.patch
    + New patches from git to fix a memory leak and to allow resizing in
      WebKit using OMX (by Julien).

 -- Marco Barisione <marco.barisione@collabora.co.uk>  Fri, 14 Mar 2014 15:45:58 +0000

gst-omx1.0 (1.0.0.1-0+rpi8) wheezy; urgency=medium

  * 0001-omxvideodec-integrate-resize-component-on-RPI.patch
    0002-rpi-change-ranks-so-that-omxh264dec-can-be-selected.patch
    0003-omxvideodec-use-GstVideoAlignment-API-to-handle-resi.patch
    0004-omxvideodec-populate-the-most-downstream-output-port.patch
    0005-omxvideodec-catch-error-when-calling-gst_omx_port_po.patch
    0006-omx-only-block-upstream-on-flushing.patch
    0007-omxvideodec-use-flush-because-reset-is-deprecated.patch
    0008-omxvideodec-if-no-frames-found-do-not-pause-the-task.patch
    + Rebase on upstream/master and remove now useless patches for the
      examples.
  * 0009-omxvideodec-select-prefered-downstream-caps.patch
    0010-omxvideodec-fix-RGB-format-translation-from-omx-to-g.patch
    + New patches from git (by Julien).

 -- Marco Barisione <marco.barisione@collabora.co.uk>  Thu, 06 Mar 2014 09:43:47 +0000

gst-omx1.0 (1.0.0.1-0+rpi7) wheezy; urgency=medium

  * 0001-omxvideodec-integrate-resize-component-on-RPI.patch
    0002-rpi-change-ranks-so-that-omxh264dec-can-be-selected.patch
    0003-configure-don-t-generate-Makefiles-for-the-examples-.patch
    + Number properly the existing patches.
  * 0004-omxvideodec-use-GstVideoAlignment-API-to-handle-resi.patch
    0005-omxvideodec-populate-the-most-downstream-output-port.patch
    0006-omxvideodec-catch-error-when-calling-gst_omx_port_po.patch
    0007-omx-only-block-upstream-on-flushing.patch
    0008-omxvideodec-use-flush-because-reset-is-deprecated.patch
    0009-omxvideodec-if-no-frames-found-do-not-pause-the-task.patch
    + Update from the git repository.

 -- Marco Barisione <marco.barisione@collabora.co.uk>  Thu, 30 Jan 2014 09:01:04 +0000

gst-omx1.0 (1.0.0.1-0+rpi6) wheezy; urgency=medium

  * Repackage based on the git repository
  * d/p/0001-omxvideodec-integrate-resize-component-on-RPI.patch
    d/p/0001-rpi-change-ranks-so-that-omxh264dec-can-be-selected.patch
    + Copy patches directly from the git repository
  * d/p/0001-configure-don-t-generate-Makefiles-for-the-examples-.patch
    + Don't generate Makefiles for the examples directory as it's not shipped
      in the orig tarball.
  * d/rules
    d/control
    + Use autoreconf (and remove autotools-dev).

 -- Marco Barisione <marco.barisione@collabora.co.uk>  Tue, 28 Jan 2014 16:07:45 +0000

gst-omx1.0 (1.0.0.1-0+rpi5) wheezy; urgency=medium

  * adding omxvideodec-integrate-resize-component-on-RPI.patch

 -- Danilo Cesar Lemes de Paula <danilo.cesar@collabora.co.uk>  Wed, 22 Jan 2014 15:56:21 -0200

gst-omx1.0 (1.0.0.1-0+rpi4) wheezy; urgency=medium

  * d/p/rpi-rank-512.patch:
    + Renamed to rpi-rank.patch. Change rank to 257 so we can set
      other elements with a higher rank than this.

 -- Emilio Pozuelo Monfort <emilio.pozuelo@collabora.co.uk>  Wed, 15 Jan 2014 10:45:17 +0100

gst-omx1.0 (1.0.0.1-0+rpi3) wheezy; urgency=low

  * d/p/rpi-rank-512.patch:
    - so that gstreamer can select omxh264dec and not avdec_h264

 -- Hector Oron <hector.oron@collabora.co.uk>  Tue, 03 Sep 2013 12:08:30 +0200

gst-omx1.0 (1.0.0.1-0+rpi2) wheezy; urgency=low

  * d/gstreamer1.0-omx.install:
    - install listcomponents tool.
    - install config/rpi/gstomx.conf as default
  * d/gstomx.conf: drop

 -- Hector Oron <hector.oron@collabora.co.uk>  Mon, 02 Sep 2013 14:37:25 +0200

gst-omx1.0 (1.0.0.1-0+rpi1) wheezy; urgency=low

  * New upstream release.
    [master branch 498b74ab6a779570cdcc2300d732a387dfe07dcf] 
  * d/control: build depend on libdrm-dev, libx11-dev
  * d/rules: disable examples build

 -- Hector Oron <hector.oron@collabora.co.uk>  Mon, 02 Sep 2013 11:42:18 +0200

gst-omx1.0 (1.0.0-0+rpi3) wheezy; urgency=low

  * d/control: build depend on libgstreamer-plugins-bad1.0-dev (>= 1.1.2) 

 -- Hector Oron <hector.oron@collabora.co.uk>  Mon, 02 Sep 2013 10:58:27 +0200

gst-omx1.0 (1.0.0-0+rpi2) unstable; urgency=low

  * New upstream release.
    [1.0 branch 09f5eb9beba9657e1b6ca15b09d848488e58350d]
    - Generate release tarball
  * Fix typo when calling omx target.
  * Build depend on libraspberrypi-dev
  * Fix building due to FLAGS settings
  * Rename install file. gst0.10 -> gst1.0 

 -- Hector Oron <hector.oron@collabora.co.uk>  Sun, 01 Sep 2013 20:07:17 +0200


