=== debian/control ===
Source: gst-omx1.0
Section: rpi/libs
Priority: optional
Maintainer: Andrew Lee (李健秋) <andrew.lee@collabora.co.uk>
Build-Depends: debhelper (>= 9),
               dh-autoreconf,
               libgstreamer-plugins-base1.0-dev (>= 1.1.2),
               libgstreamer-plugins-bad1.0-dev (>= 1.1.2),
               libdrm-dev,
               libx11-dev,
               libraspberrypi-dev
Standards-Version: 3.9.3
Homepage: http://gstreamer.freedesktop.org/

Package: gstreamer1.0-omx
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: GStreamer OpenMAX plugins
 GStreamer is a streaming media framework, based on graphs of filters
 which operate on media data.  Applications using this library can do
 anything from real-time sound processing to playing videos, and just
 about anything else media-related.  Its plugin-based architecture means
 that new data types or processing capabilities can be added simply by
 installing new plug-ins.
 .
 This module provides a plugin that allows communication of GStreamer
 with OpenMAX IL components, which are used to access hardware
 encoders and decoders.

Package: gstreamer1.0-omx-dbg
Section: rpi/debug
Priority: extra
Architecture: any
Depends: ${misc:Depends},
         gstreamer1.0-omx (= ${binary:Version})
Description: Debug symbols for gstreamer1.0-omx
 This package provides the debug symbols for gstreamer1.0-omx.
