=== debian/rules ===
#!/usr/bin/make -f

LDFLAGS=`dpkg-buildflags --get LDFLAGS` -L/opt/vc/lib
CPPFLAGS=`dpkg-buildflags --get CPPFLAGS` -I/opt/vc/include -I/opt/vc/include/IL -I/opt/vc/include/interface/vcos/pthreads -I/opt/vc/include/interface/vmcs_host/linux


%:
	dh $@  --with autoreconf --dbg-package=gstreamer1.0-omx-dbg

override_dh_auto_configure:
	dh_auto_configure -- LDFLAGS="$(LDFLAGS)" CPPFLAGS="$(CPPFLAGS)" \
		--with-omx-target=rpi --disable-examples


override_dh_install:
	dh_install -X.la --list-missing
